Did you mount /proc and /sys?<br><br>those errors seem to indicate you didn&#39;t. You must mount them in the chroot or the dependency issues go crazy :-)<br><br>And yes, I did do the minimal xfce install first. But that should be irrelevant, there should be no breakage as long as you mount the necessary mount points. And don&#39;t forget to unmount when you are done. Trying to build the client with proc and sys mounted in the chroot will not be pretty.<br>
<br>David<br><br><div class="gmail_quote">On Thu, Feb 14, 2008 at 8:39 PM, Jim Kronebusch &lt;<a href="mailto:jim@winonacotter.org">jim@winonacotter.org</a>&gt; wrote:<br><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">
<div class="Ih2E3d">On Wed, 13 Feb 2008 00:42:29 +0100, David Van Assche wrote<br>
</div><div><div></div><div class="Wj3C7c">&gt; Hi there,<br>
&gt; &nbsp; &nbsp;I&#39;ve recently documented the steps needed to make alternative fat chroots<br>
&gt; with local apps and local cpu/memory usage. So called ltsp diskless<br>
&gt; workstations, or low fat clients. The wiki is here, and though is not<br>
&gt; complete, Ive tested it and it works (I am running it on 20 computers in my<br>
&gt; computer lab that require multimedia apps, aswell as flash, java, video,<br>
&gt; audio, etc. Take a look here and feel free to add to it or ask me questions:<br>
&gt;<br>
&gt; <a href="https://help.ubuntu.com/community/UbuntuLTSP/LTSPFatClients" target="_blank">https://help.ubuntu.com/community/UbuntuLTSP/LTSPFatClients</a><br>
<br>
</div></div>Well, I started to get things going, I created the chroot with ltsp-build-client, then<br>
got to the point to expand my base chroot with apt-get install edubuntu-desktop. &nbsp;Things<br>
got to the point of configuring acpid then broke hard (errors below). &nbsp;And even with -f<br>
options and running dpkg --configure -a I can&#39;t get it to move on.<br>
<br>
I am wondering if when you have done this you stepped in slower, maybe starting with the<br>
minimal install, then moving towards edubuntu-desktop? &nbsp;I might wipe the directory and<br>
try it that way. &nbsp;Or maybe this is a difference with 7.04.<br>
<br>
Errors:<br>
Setting up acpid (1.0.4-5ubuntu6) ...<br>
&nbsp;* Starting ACPI services...<br>
invoke-rc.d: initscript acpid, action &quot;start&quot; failed.<br>
dpkg: error processing acpid (--configure):<br>
&nbsp;subprocess post-installation script returned error exit status 1<br>
Errors were encountered while processing:<br>
&nbsp;acpid<br>
root@ltsp:/# apt-get install -f acpid<br>
Reading package lists... Done<br>
Building dependency tree<br>
Reading state information... Done<br>
acpid is already the newest version.<br>
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.<br>
6 not fully installed or removed.<br>
Need to get 0B of archives.<br>
After unpacking 0B of additional disk space will be used.<br>
Setting up acpid (1.0.4-5ubuntu6) ...<br>
&nbsp;* Starting ACPI services...<br>
invoke-rc.d: initscript acpid, action &quot;start&quot; failed.<br>
dpkg: error processing acpid (--configure):<br>
&nbsp;subprocess post-installation script returned error exit status 1<br>
dpkg: dependency problems prevent configuration of acpi-support:<br>
&nbsp;acpi-support depends on acpid (&gt;= 1.0.4-1ubuntu4); however:<br>
 &nbsp;Package acpid is not configured yet.<br>
dpkg: error processing acpi-support (--configure):<br>
&nbsp;dependency problems - leaving unconfigured<br>
dpkg: dependency problems prevent configuration of powermanagement-interface:<br>
&nbsp;powermanagement-interface depends on acpi-support (&gt;= 0.17); however:<br>
 &nbsp;Package acpi-support is not configured yet.<br>
dpkg: error processing powermanagement-interface (--configure):<br>
&nbsp;dependency problems - leaving unconfigured<br>
dpkg: dependency problems prevent configuration of gnome-power-manager:<br>
&nbsp;gnome-power-manager depends on powermanagement-interface; however:<br>
 &nbsp;Package powermanagement-interface is not configured yet.<br>
dpkg: error processing gnome-power-manager (--configure):<br>
&nbsp;dependency problems - leaving unconfigured<br>
dpkg: dependency problems prevent configuration of gnome-session:<br>
&nbsp;gnome-session depends on gnome-power-manager; however:<br>
 &nbsp;Package gnome-power-manager is not configured yet.<br>
dpkg: error processing gnome-session (--configure):<br>
&nbsp;dependency problems - leaving unconfigured<br>
dpkg: dependency problems prevent configuration of edubuntu-desktop:<br>
&nbsp;edubuntu-desktop depends on acpi-support; however:<br>
 &nbsp;Package acpi-support is not configured yet.<br>
&nbsp;edubuntu-desktop depends on acpid; however:<br>
 &nbsp;Package acpid is not configured yet.<br>
&nbsp;edubuntu-desktop depends on gnome-power-manager; however:<br>
 &nbsp;Package gnome-power-manager is not configured yet.<br>
&nbsp;edubuntu-desktop depends on gnome-session; however:<br>
 &nbsp;Package gnome-session is not configured yet.<br>
&nbsp;edubuntu-desktop depends on powermanagement-interface; however:<br>
 &nbsp;Package powermanagement-interface is not configured yet.<br>
dpkg: error processing edubuntu-desktop (--configure):<br>
&nbsp;dependency problems - leaving unconfigured<br>
Errors were encountered while processing:<br>
&nbsp;acpid<br>
&nbsp;acpi-support<br>
&nbsp;powermanagement-interface<br>
&nbsp;gnome-power-manager<br>
&nbsp;gnome-session<br>
&nbsp;edubuntu-desktop<br>
E: Sub-process /usr/bin/dpkg returned an error code (1)<br>
root@ltsp:/#<br>
<br>
<br>
Thanks,<br>
<div><div></div><div class="Wj3C7c">Jim<br>
<br>
--<br>
This message has been scanned for viruses and<br>
dangerous content by the Cotter Technology<br>
Department, and is believed to be clean.<br>
<br>
</div></div></blockquote></div><br>